function [sigma omega sigma_identity]=rndHIW(G,S,n)
% Generate sigma by deterministically transforming a randomly drawn
% HIW(G, n, Identity) to HIW(G, n, S)
% Adapted from Helen Armstrong 
%
% Input
% G : Adjacency matrix representing the graph structure
% S : The location matrix
% n : The degrees of freedom
%
% Output
% sigma a HIW(G, n, S)
% Omega= inv(sigma)
% sigma_identity HIW(G, n, Identity)

T=length(G);
[check, order]=check_chordal(G);
if ~check
    error('graph not decomp')
end
cliques=chordal_to_ripcliques_zo(G, order);

Tost_Thi_hat=g_constrain_zo(S, order, cliques);

sigma_identity=generate_HIW_g_delta_identity_zo(G, cliques, n);
[sigma, omega]=transform_g_conditional_HIW_no_mcs_zo...
(sigma_identity, G, cliques, n, eye(T), Tost_Thi_hat);