function [delete_ok, C]=check_edge_delete_zo(i,j, cliques) 
% inputs: 1. i, j, the indicies of the edge vertices with respect 
% to the original ordering in the adjacency matrix g 
% 2. cliques, a p x p matrix array respresentation of a 
% perfect sequence of cliques of g. 
% (eg, from chordal_to_ripcliques_zo.m) 
% outputs: 1. delete_ok=1/0 % (yes/no, can delete and remain chordal)
% 2. C=[clique which contained the legal edge],
% as represented by a p x 1 array of zeros and ones 
% with respect to original g. 
% The likelihood depends on C, so it is outputted by 
% this routine. 
p=size(cliques,1); 
delete_ok=1;
C=zeros(p,1); 
count_cliques=0; 
% initialise to 0 the count of cliques containing the edge 
clique_sizes=zeros(1,p); 
clique_sizes=sum(cliques, 1); 
% this is a 1 x p vector of column totals 
num_cliques=size(find(clique_sizes),2);
%%%%%% create p x 1 vector representation of edge 
edge_col_vec=zeros(p,1);
edge_col_vec(i,1)=1; 
edge_col_vec(j,1)=1; 
for k=1:num_cliques; 
    clique_k=cliques(:,k); 
    if sum(intersect_zo(edge_col_vec, clique_k))==2; 
        % since cliques are by definition complete,
        % if a clique contains the ith and jth vertices, 
        % then it contains the edge (v_i,v_j).
        C=clique_k; 
        % if legal delete, this is clique edge is in. 
        count_cliques=count_cliques +1; 
        if count_cliques > 1; 
            delete_ok =0; C=[9 9 9];
            break; 
        end;
    end; 
end; 
% Theory: can ONLY delete edges that are in a single clique 
% (else in separator). Draw picture and can see why.