function [index_a]=find_clique_containing_zo(a, cliques) 
% inputs: 1. index_a, the index of the vertex v_a with respect 
%           to the ordering of cliques. 
%           NOTE: if v_a is not in one of the cliques, this routine 
%           will go into an infinite while loop. 
%        2. cliques, a p x p matrix array respresentation of a 
%           perfect sequence of cliques of g. 
%           (eg, from chordal_to_ripcliques_zo.m)
% output: index_a, the index of the first clique (with respect to the column order of the array cliques) that contains v_a 
p=size(cliques,1);
all_indicies=zeros(p,1); 
all_indicies=find(cliques(a, :));
index_a=min(all_indicies);
