function [b]=intersect_zo(a1, a2) 
% input: a1, a2, a pair of [n,1] col vectors of zeros and ones only 
% output: b, an n x 1 col vector representation of the intersection 
%         between the subsets of variables represented by a1 and a2.

b=a1 .* a2; 
% .* is elementwise multiplication

% % eg [0 0 1 0]'=intersect_zo([1 0 1 1]' , [0 1 1 0]')
%  is equivalent to {v3}={v1, v3, v4} intersection {v2, v3}

% below is for error resistant version if required 
% [n1,c1]=size(a1); %
% [n2,c2]=size(a2); 
% b=zeros(n1, c1); 
%if (n1 ==n2) & (c1 == c2) & (c1 == 1) 
%b=a1 .* a2; 
%end