function [ns]=neighbours_vertex_cell(g, i) 
% inputs: 1. g, the p x p symmetric adjacency matrix with 
% respect to an original ordering v_1, ..., v_p 2. i, the index with respect to g, 
% of the vertex v_i whose neighbours are required. 
% output: ns, a 1 x |nbrs(v_i)| array of indicies of nbrs(v_i). 
% Returns the empty vector if v_i has no neighbours 

ns=find(g(i,:)); 
% NOTE: MATLAB find will return the vertices in ascending order
