function [ns]=neighbours_vertex_zo(g, v_i) 
% inputs: 1. g, the p x p symmetric adjacency matrix with 
%           respect to an original ordering v_1, ..., v_p 
%          2. i, the index with respect to g, of the vertex 
%           v_i whose neighbours are required.

% output: ns, a p x 1 vector of zeros and ones, representing nbrs(v_i). 
%           Returns zero vector if no neighbours. 
p=size(g,1); 
ns=zeros(p,1); 
ns=g(:,v_i); 
% NOTE: MATLAB find will return the vertices in ascending order