function [edge_candidate]=next_edge_candidate(g_current)
% input: 1. g_current, the p x p symmetric adjacency matrix
% of the current iterate graph of the chain with
% respect to an original ordering v_1, ..., v_p
% output: 1. edge_candidate, the randomly chosen vertices which
% will comprise the edge to be changed to give the
% proposal graph in the MHMCMC sampler IF the resulting
% graph is decomposable.
% g_proposal will only be
% accepted in that routine as the new g_current if it passes the acceptance
% ratio
p=length(g_current);
iota = randperm(p); % iota is a random permutation of 1:p.
i=iota(1); j = iota(2);
edge_candidate=[i,j];