function [ps]=parents_vertex_cell(g, i) 
% inputs: 1. g, the p x p symmetric adjacency matrix with
%           respect to an original ordering v_1, ..., v_p 
%         2. i, the index with respect to g, of the vertex v_i whose
%         parents are required.
% output: ps, a 1 x |pa(v_i)| array of indicies of pa(v_i) with respect to
%            the ordering 1, 2,..., p. Returns the empty vector if v_i has no parents.
%            NOTE: This only works if vertices are ordered as per g. 
%            i.e. if mcs order is 1, 7, 3, 4, 2, ... 
%            then it will return 
%            parents(adj_mat, 4)=intersect([1 7 3 4], [1:4]) %% =[1 3] 
%            which is WRONG 
ps=[]; 
ns=neighbours_vertex_cell(g, i); 
ps=intersect([1:i], ns);
