function [ps]=parents_vertex_zo(g, i) 
% inputs: 1. g, the p x p symmetric adjacency matrix with 
%           respect to an original ordering v_1, ..., v_p 2. i, 
%           the index with respect to g, of the vertex v_i whose neighbours are required. 
% output 1: ps, a p x 1 vector representing pa(v_i)
%
% NOTE: This only works if vertices are ordered as per g.
% i.e. if mcs order is 1, 7, 3, 4, 2, 6, 5 then it will return 
%[1 0 1 0 0 0 0]'=parents(adj_mat, 4) (=[1,3]) 
%which is WRONG (should be [1 0 1 0 0 0 1]'={1 7 3}) 
p=size(g, 1); 
ps=zeros(p,1); 
nbs=neighbours_vertex_zo(g, i); 
ps=nbs; 
ps(i:p,1)=0;
