function [sepsize]=sepsize_zo(cliques, jtree)
% NOTE: if you just want a 1 x num_seps array of all the
% sequence separators, use seps_residuals_histories.m
% inputs: 1. cliques, a p x p matrix array respresentation of a
%           perfect sequence of cliques of g.
%           (eg, from chordal_to_ripcliques_zo.m)
%         2. jtree, the associated p x p adjacency matrix
%           of the junction tree
% output: 1. sepsize, a matrix array of the size of the
%            separator sets, in which
%            sepsize(i,j) = |C_i intersection C_j| between
%            adjacent cliques C_i and C_j with respect to jtree.
[p]=size(cliques,1);
sepsize=zeros(p,p);
clique_sizes=zeros(1,p);
clique_sizes=sum(cliques, 1);
% this is a 1 x p vector of column totals
num_cliques=size(find(clique_sizes),2);
for i=1:num_cliques;
for j=i+1:num_cliques;
if jtree(i,j)==1;
sepsize(i,j)=sum(intersect_zo(cliques(:,i), cliques(:,j)));
% this version does the full matrix/cell array
% which is symmetric so actually unnecessary.
% But could be dangerous not to compute in case the wrong ordering
% j, i, for j > i is used by one of the calling programs)
% sepsize(j,i)=sum(seps_ij);  
sepsize(j,i)=sepsize(i,j);


end;
end;
end;