function [b]=setdiff_zo(a1, a2)
% input: a1, a2, an ORDERED pair of [n,1] col vectors
% of zeros and ones only.
% The ordering is such that the elements
% represented by a2 are removed from the set
% represented by a1.
% output: b, an n x 1 col vector representation of the
% set difference between the subsets of variables
% represented by a1 and a2.
% b = elementwise addition, then make ones
% eg [1 0 0 1]=setdiff_zo([1 0 1 1] , [0 0 1 0])
% eg [1 0 0 1]=setdiff_zo([1 0 1 1] , [0 1 1 0])
% eg [0 0 0 0]=setdiff_zo([1 0 0 1] , [1 1 1 1])
b=a1 - a2;
for j=1:length(b)
if b(j)<0
b(j)=a1(j);
end
end
% below is for error resistant version if required
% [n1,c1]=size(a1);
% [n2,c2]=size(a2);
%b=zeros(n1, c1);
%if (n1 ==n2) & (c1 == c2) & (c1 == 1)
%b=etc;
%end