function [b]=union_zo(v1, v2) 
% input: a1, a2, a pair of [n,1] col vectors of zeros and ones only 
% output: b, an n x 1 col vector representation of the union between 
% the subsets of variables represented by a1 and a2. 

% b = elementwise addition, then make ones
% 
% eg [1 1 1 1]'=union_zo([1 0 1 1]' , [0 1 1 0]') 
% is equivalent to {v1, v2, v3, v4}={v1, v3, v4} union {v2, v3} 

b=v1 + v2; 
for j=1:length(b) 
    if b(j)>1 b(j)=1; 
    end 
end

% below is for error resistant version if required 
% [n1,c1]=size(v1); 
% [n2,c2]=size(v2); 
%b=zeros(n1, c1); 
%if (n1 ==n2) & (c1 == c2) & (c1 == 1) 
%b=etc; 
%end

