%% Multivariate Probit
% 
%
%  written by: 
%      Aline Talhouk
%      Department of Statistics           
%      University of British Columbia
%      http://www.stat.ubc.ca/~a.talhouk
%
%% 
%  Last modified: August 18, 2011
%
%  Disclaimer:  No guarantee that this code is free of bugs.
%               If you find any mistakes please email a.talhouk@stat.ubc.ca
%%
function  g_next = sampleG(w,iXi,M)
% sampleG generates samples from the posterior distribution of the graph G
% conditional on the other variables
%
% Input:
% w : The latent Gaussian data in the expanded space (w=zD)
% iXi and M: updated posterior parameter Xi = X'X+psi and  M = Xi*X'W
% Note that sig is integrated out!
%
% Output
% g_next: A sample from the posterior of G

[n J]=size(w);
g_init=zeros(J);

%Prior Parameters
delta=2;
Phi=eye(J);

g_current=g_init;
S_N=(w'*w)+eye(J)-M'*iXi*M;

warmup=100;
iter_multiple=1;
iters_to_keep=200;

g_next = generate_graph_zo(g_current, delta, Phi, n, S_N, warmup, iter_multiple, iters_to_keep);