
% Find all decomposable graphs
[d,m,Gs,orders]=undirected(J) ;
Gd=Gs(:,:,find(d));

% Analyze the collected samples:
[graph_tally graph_tally_counts graph_pm graph_iter]= graphtallyMC(iCsamples,J);
%Graph_tally gives the unique graphs sampled
%graph_tally_counts is the frequency of each graph in graph_tally
%graph_pm are the posterior marginal probabilities
%graph_ter is the graph at each iteration


postMC=normalize(graph_tally_counts);
[a in]=sort(postMC,'descend');

mostpopgraphs=graph_tally(:,:,in(1:6));

figure;

for i=1:5
subplot (3,2,i);
plotg5(mostpopgraphs(:,:,i))
title(sprintf('%s%6.2f','Post= ',a(i)))
end

subplot (3,2,6);
plotg5(G)
title('True Structure','color','r')
suptitle('Most Probable Structures')

struct=setdiag(inv(R),0)
figure;
subplot (1,2,1);
hintonDiagram(graph_pm); axis('square')
title('Edge Marginals')
subplot (1,2,2);
hintonDiagram(struct); axis('square')
title('R^{-1}')
