function [d,m,Gs,orders]=undirected(N)
%N is the number of vertices
%Gs All possible undirected graphs (adj matrix)
%m the number of undirected graphs
%d indicator if a graph is decomposable s.t sum(d)= # of decomposable
%graphs.
%orders order of the cliques
m = 2^(N*(N-1)/2);
ind = ind2subv(2*ones(1,N*(N-1)/2), 1:m);
d=zeros(m,1);
orders=zeros(m,N);
directed = 0;
for i=1:m
  D = vect2adj(ind(i,:)-1,N);
  [chordal, order]=check_chordal(D);
  orders(i,:)=order;
  Gs(:,:,i) = D;
  if chordal
  d(i)=1;
  end
end
