%% Multivariate Probit
%
%
%  written by:
%      Aline Talhouk
%      Department of Statistics
%      University of British Columbia
%      http://www.stat.ubc.ca/~a.talhouk
%
%%
%  Last modified: August 18, 2011
%
%  Disclaimer:  No guarantee that this code is free of bugs.
%               If you find any mistakes please email a.talhouk@stat.ubc.ca
%%

clear all
close all

load('womendat.mat')
[n J]=size(y);

N=50000;
sat=0;
y=y+1;
X=zeros(n,2);

[Csamples iCsamples Bsamples]= mvprobit(y,X,N,sat,'WomRes');%Run with Model selection

%%%%
clear all
load('WomRes.mat')
[n J]=size(y);
p=size(X,2);

%Posterior Analysis of the collected samples
[graph_tally graph_tally_counts graph_pm graph_iter]= graphtallyMC(iCsamples,J);
poste=normalize(graph_tally_counts);%MC posterior probability of each graph

[a in]=sort(poste,'descend');
mostpopgraphs=graph_tally(:,:,in);

%Plot of 4 most popular graph with its posterior probability (Figure 6 in
%paper)
figure;
for i=1:4
subplot (2,2,i);
plotwo(mostpopgraphs(:,:,i))
title(sprintf('%s%6.2f','Post= ',a(i)))
end
suptitle('Most Probable Structures')

%Matrix of Edge Marginals
figure;
hintonDiagram(graph_pm); axis('square')
title('Matrix of Edge Marginals')

%Edge marginals 
graph_pm
